/*
 * @(#)ExtJDialog.java	Version 1.0  <April 02, 2003>
 *
 * Copyright 2000-2002 Elegant MicroWeb Technologies Pvt. Ltd. (EMTPL). All Rights Reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * - Redistributions of source code is not permitted under any conditions.
 * 
 * - Redistribution in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * 
 * Neither the name of Elegant MicroWeb Technologies Pvt. Ltd. or the names of contributors
 * may be used to endorse or promote products derived from this software
 * without specific prior written permission.
 * 
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES,
 * INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. EMTPL AND
 * ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES
 * SUFFERED BY LICENSEE AS A RESULT OF  OR RELATING TO USE, MODIFICATION
 * OR DISTRIBUTION OF THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL
 * EMTPL OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE
 * DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY,
 * ARISING OUT OF THE USE OF OR INABILITY TO USE SOFTWARE, EVEN IF EMTPL HAS
 * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * 
 * You acknowledge that Software is not designed, licensed or intended
 * for use in the design, construction, operation or maintenance of any
 * nuclear facility or any other illegal activity.
 */

package common;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class ExtJDialog extends JDialog implements ActionListener
{
	public boolean OK_PRESSED = false;
	
	JPanel mainPanel;
	JPanel lowerPanel;
	JButton okButton;
	JButton cancelButton;

	public ExtJDialog(JFrame parent, String title, Component editorComponent)
	{
		super(parent, title, true);
		
		addWindowListener(new WindowAdapter()
		{
			public void windowClosing()
			{
				dispose();
			}
		});
		
		mainPanel = new JPanel(new BorderLayout(0, 0))
		{
			public Insets getInsets()
			{
				return new Insets(10, 10, 10, 10);
			}
		};
		
		lowerPanel = new JPanel();
		lowerPanel.setLayout(new FlowLayout(FlowLayout.CENTER, 5, 5));
		
		okButton = new JButton("OK");
		okButton.setMnemonic('O');
		okButton.addActionListener(this);
		
		cancelButton = new JButton("Cance");
		cancelButton.setMnemonic('C');
		cancelButton.addActionListener(this);
		
		lowerPanel.add(okButton);
		lowerPanel.add(cancelButton);
		
		mainPanel.add(editorComponent, BorderLayout.CENTER);
		mainPanel.add(lowerPanel, BorderLayout.SOUTH);      

		getContentPane().setLayout(new BorderLayout(5, 5));
		getContentPane().add(mainPanel, BorderLayout.CENTER);
		show();
	}
	
	public void show()
	{
		Dimension preferredSize = new Dimension(320, 130);
		Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
		setBounds((screenSize.width - preferredSize.width)/2, (screenSize.height - preferredSize.height)/2, preferredSize.width, preferredSize.height);
		super.show();
	}
	
	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource() == okButton)
		{
			OK_PRESSED = true;
			dispose();
		}
		else if(e.getSource() == cancelButton)
		{
			dispose();
		}
	}
}